<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter" nk:class="java.lang.String"/>
	<xsl:param name="params"/>

  <xsl:template match="/resultset">
  <div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Security</div>
			  	</div>
    <table cellpadding="2" cellspacing="0" class="table">
    	<tr class="vis-title">
    	<td>
    	</td>
    	<td>
    		Name
    	</td>
    	<td>
    		PublicKey
    	</td>
    	<td>
    		Trusted
    	</td>
    	<td/>
    	</tr>
    	<xsl:apply-templates/>
    </table>
      </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<tr>
  		
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<xsl:if test="REPONAME='NetKernel.org'">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		<td>
  			<xsl:value-of select="NAME"/>
  		</td>
  		<td align="center">
  			<input type="checkbox" disabled="">
  			<xsl:if test="HASPUBLICKEY=1">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  		<table cellpadding="0" cellspacing="0">
  		<tr>
  		<form action="updateTrust" method="post" enctype="multipart/form-data">
  			<input type="hidden" value="{ID}" name="id"/>
	  		<td align="center">
	  			<input type="checkbox" name="trusted">
	  			<xsl:if test="TRUSTED='true'">
	  				<xsl:attribute name="checked"></xsl:attribute>
	  			</xsl:if>
	  			</input>
	  		</td>
	  		<td>
	  			 <span style="font-weight: bold; padding-left: 10px;">Upload Public Key:</span> <input type="file" name="file" value="Upload Public Key"/>
	  		</td>
	  		<td>
	  			<input class="btn btn-xs btn-default" type="submit" value="Apply Changes to {NAME}"/>
	  		</td>
	  		</form>
	  		</tr>
	  		</table>
  		</td>
  	</tr>
  </xsl:template>

</xsl:stylesheet> 
