<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter" nk:class="java.lang.String"/>
	<xsl:param name="params"/>
	
	<xsl:key name="rows-by-id" match="row" use="REPOID" />

  <xsl:template match="/resultset">
  <div class="panel panel-default">
  	<div class="panel-heading">
  		<div class="panel-title">Repositories</div>
  	</div>
    <p>
    	<input class="btn btn-default" style="margin-right: 10px;" type="button" value="Upload Repository Settings" onclick="parent.location='?type=load-settings'" /> <input class="btn btn-default" type="button" value="New Repository" onclick="parent.location='?type=new-repo'" />
    </p>
    <table cellpadding="2" cellspacing="0" class="table">
    	<tr class="vis-title">
    	<td/>
    	<td>Name	</td>
    	<td>Base URI</td><td/>
    	<td>Path</td><td/>
    	<td>PublicKey</td>
    	<td>Trusted</td>
    	<td/><td>Sets</td>
    	</tr>
    	<xsl:for-each select="row[ count( . | key('rows-by-id', REPOID)[1])  = 1]">
				<tr>
					<xsl:choose>
			  			<xsl:when test="position() mod 2 = 0">
			  				<xsl:attribute name="class">evenrow</xsl:attribute>
			  			</xsl:when>
			  			<xsl:otherwise>
			  				<xsl:attribute name="class">oddrow</xsl:attribute>
			  			</xsl:otherwise>
			  		</xsl:choose>
			  		<td>
			  			<xsl:if test="REPONAME='NetKernel.org'">
			  				<img src="/nkse/style/img/favicon.png"/>
			  			</xsl:if>
			  		</td>
			  		<td>
			  			<xsl:value-of select="REPONAME"/>
			  		</td>
			  		<td>
			  			<xsl:value-of select="URLBASE"/>
			  		</td>
			  		<td>
					  	<input class="btn btn-default btn-xs" type="button" value="edit" onclick="parent.location='?id={REPOID}&amp;name={REPONAME}&amp;urlbase={URLBASE}&amp;type=edit-repo'" />
					  </td>
			  		<td>
					  		<xsl:value-of select="DISTPATH"/>
					  </td>
					  <td>
					  	<input class="btn btn-default btn-xs" type="button" value="edit" onclick="parent.location='?id={COLLECTIONID}&amp;distpath={DISTPATH}&amp;type=edit-distpath'" />
					  </td>
					  <td align="center">
			  			<input type="checkbox" disabled="">
			  			<xsl:if test="HASPUBLICKEY=1">
			  				<xsl:attribute name="checked"></xsl:attribute>
			  			</xsl:if>
			  			</input>
			  		</td>
			  		<td align="center">
			  			<input type="checkbox" disabled="">
			  			<xsl:if test="TRUSTED='true'">
			  				<xsl:attribute name="checked"></xsl:attribute>
			  			</xsl:if>
			  			</input>
			  		</td>
			  		<td>
					  	<input class="btn btn-default btn-xs" type="button" value="add set" onclick="parent.location='?id={COLLECTIONID}&amp;type=add-set'" />
					  </td>
			  		<td colspan="1">
			  			<table cellpadding="1" cellspacing="0">
			  			<xsl:for-each select="key('rows-by-id', REPOID)">
					    	<tr>
					  		<td>
					  			<xsl:value-of select="SETNAME"/>
					  		</td>
					  		<td>
					  		<input class="btn btn-default btn-xs" type="button" value="edit" onclick="parent.location='?id={COLLECTIONSETID}&amp;setname={SETNAME}&amp;type=edit-set'" />
					  		</td>
					  		<td>
					  		<input class="btn btn-default btn-xs" type="button" value="test connection" onclick="parent.location='repo/testConnection?id={COLLECTIONSETID}'" />
					  		</td>
					  		<td>
					  		<input class="btn btn-default btn-xs" type="button" value="delete" onclick="parent.location='repo/deleteCollection?id={COLLECTIONSETID}'" />
					  		</td>
					  	</tr>
					  	</xsl:for-each>
					  </table>
					 </td>
					 
    			</tr>
    			</xsl:for-each>
    </table>
    <div style="margin-top: 10px;">
    <xsl:choose>
    	<xsl:when test="$params/type='load-settings'">
    		<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Upload Repository Settings</div>
			  	</div>
    		<form action="repo/loadRepoSettings" method="post" enctype="multipart/form-data">
	    		<table>
	    			<tr>
	    			<td>Settings File:</td>
	    			<td>
	    				<input type="file" name="file"/>
	    			</td>
	    			<td/><td><input type="submit" value="Upload Repository Settings"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    	<xsl:when test="$params/type='new-repo'">
    		<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">New Repository</div>
			  	</div>
    		<form action="repo/addRepo" method="post">
	    		<table>
	    			<tr>
	    			<td>Name</td>
	    			<td>
	    				<input type="text" name="name"/>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td>Base URI</td>
	    			<td>
	    				<input type="text" name="urlbase" style="width: 350px;"/>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td>Distribution Path</td>
	    			<td>
	    				<input type="text" name="distpath" style="width: 350px;"/>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td>Set</td>
	    			<td>
	    				<input type="text" name="set"/>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td/><td><input type="submit" value="Submit"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    	<xsl:when test="$params/hds/type='edit-repo'">
    		<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Edit Repository</div>
			  	</div>
    		<form action="repo/editRepo" method="post">
    			<input name="id" type="hidden">
    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/id"/></xsl:attribute>
    			</input>
	    		<table>
	    			<tr>
	    			<td>Name</td>
	    			<td>
	    				<input type="text" name="name">
	    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/name"/></xsl:attribute>
	    				</input>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td>Base URI</td>
	    			<td>
	    				<input type="text" name="urlbase" style="width: 350px;">
	    					<xsl:attribute name="value"><xsl:value-of select="$params/hds/urlbase"/></xsl:attribute>
	    				</input>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td/><td><input type="submit" value="Submit"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    	<xsl:when test="$params/hds/type='edit-distpath'">
    		<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Edit Repository Path</div>
			  	</div>
    		<form action="repo/editDistpath" method="post">
    			<input name="id" type="hidden">
    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/id"/></xsl:attribute>
    			</input>
	    		<table>
	    			<tr>
	    			<td>Path</td>
	    			<td>
	    				<input type="text" name="distpath" style="width: 350px;">
	    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/distpath"/></xsl:attribute>
	    				</input>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td/><td><input type="submit" value="Submit"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    	<xsl:when test="$params/hds/type='add-set'">
    		<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Add Repository Collection Set</div>
			  	</div>
    		<form action="repo/addSet" method="post">
    			<input name="collectionsetid" type="hidden">
    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/id"/></xsl:attribute>
    			</input>
	    		<table>
	    			<tr>
	    			<td>Set</td>
	    			<td>
	    				<input type="text" name="setname"/>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td/><td><input type="submit" value="Submit"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    	<xsl:when test="$params/hds/type='edit-set'">
    	<div class="panel panel-default">
			  	<div class="panel-heading">
			  		<div class="panel-title">Edit Repository Collection Set</div>
			  	</div>
    		<form action="repo/editSet" method="post">
    			<input name="collectionsetid" type="hidden">
    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/id"/></xsl:attribute>
    			</input>
	    		<table>
	    			<tr>
	    			<td>Set</td>
	    			<td>
	    				<input type="text" name="setname">
	    				<xsl:attribute name="value"><xsl:value-of select="$params/hds/setname"/></xsl:attribute>
	    				</input>
	    			</td>
	    			</tr>
	    			<tr>
	    			<td/><td><input type="submit" value="Submit"/></td>
	    			</tr>
	    		</table>
    		</form>
    		</div>
    	</xsl:when>
    </xsl:choose>
    
    	</div>
    </div>
  </xsl:template>
  
</xsl:stylesheet> 
