<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>
  <xsl:param name="simple" nk:class="java.lang.Boolean"/>
  
  <xsl:variable name="updates" select="/resultset/row/UPDATES"/>
  <xsl:variable name="security" select="/resultset/row/SECURITY"/>
  <xsl:variable name="other" select="$updates - $security"/>

  <xsl:template match="/resultset/row">
  	<div>
  		<xsl:if test="$updates!=0">
  			<xsl:call-template name="widget"/>
  		</xsl:if>
  	</div>
  </xsl:template>
  
  <xsl:template name="widget">
  	<div style="margin-bottom: 0; padding-top: 8px; padding-bottom: 8px;">
  		<xsl:choose>
  			<xsl:when test="$security!=0">
  				<xsl:attribute name="class">alert alert-warning</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">alert alert-info</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		
  		<div class="row">
  			<div class="col-xs-9">
  				<xsl:choose>
				<xsl:when test="$security!=0">
					<strong>Security Updates Available. </strong>
					<span><xsl:value-of select="$security"/> recommended security updates and <xsl:value-of select="$other"/> other updates are available.</span>
				</xsl:when>
				<xsl:otherwise>
					<strong>Updates Available. </strong>
					<span><xsl:value-of select="$updates"/> updates are ready to be installed.</span>
				</xsl:otherwise>
				</xsl:choose>
  			</div>
  			<div class="col-xs-3" style="text-align: right;">
  				<a class="btn btn-default" href="/tools/apposite/">Install Now</a>
  			</div>
  		</div>
  		
	</div>
  </xsl:template>  

</xsl:stylesheet> 
