<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter"/>
	<xsl:param name="selections"/>

  <xsl:template match="/resultset">
  <div>
  	<style>
 .transparent {
	filter:alpha(opacity=50);
	-moz-opacity:0.5;
	-khtml-opacity: 0.5;
	opacity: 0.5;
	z-index:1;
}

.opaque {
	filter:alpha(opacity=100);
	-moz-opacity:1.0;
	-khtml-opacity: 1.0;
	opacity: 1.0;
	z-index:2;
}
  	</style>
  	<script language="javascript" type="text/javascript">
  	<![CDATA[
$(document).ready(function()
{	a = { 'bLengthChange': false,
			'bSort': true,
			'bJQueryUI': true,
			'iDisplayLength': -1,
			'oLanguage': { 'sSearch': "Filter:"} };
	$("#packages").dataTable(a);
}
);
  	function submitFilter()
  	{
  		document.getElementById("filterform").submit();
  	}
  	
	function selectAll(name)
	{	
		b=true;
		if(name=="mark-remove")
		{	b=confirm("Are you sure you want to remove all of these packages?");
		}
		if(b)
		{ 	
			a=document.getElementsByName(name);
			for(i=0; i!=a.length; i++)
			{	a[i].checked=true;
			}
		}
	}
	
	
	]]>
  	</script>
  	
  		 <div class="row">
    		<div class="col-xs-6">
    			<xrl:include>
					<xrl:identifier>res:/tools/apposite/widget/statisticsSimple</xrl:identifier>
				</xrl:include>
				<xrl:include>
					<xrl:identifier>res:/tools/apposite/widget/distroupdate</xrl:identifier>
				</xrl:include>
    		</div>
    		<div class="col-xs-6">
    			<div >
    				<xsl:choose>
			    			<xsl:when test="row/HASUPDATE='true' or row/HASSECURITY='true'">
			    				<xsl:attribute name="class">panel panel-warning</xsl:attribute>
			    			</xsl:when>
			    			<xsl:otherwise>
			    				<xsl:attribute name="class">panel panel-default</xsl:attribute>
			    			</xsl:otherwise>
			    	</xsl:choose>
			    	<div class="panel-heading">
			    		<div class="panel-title">View</div>
			    	</div>
			    			<xsl:if test="row/HASUPDATE='true' or row/HASSECURITY='true'">
			    				<xsl:attribute name="class">panel panel-info</xsl:attribute>
			    				<div class="update" style="margin-top: 5px; margin-left: 5px; padding: 5px; border: 1px;">
			    					<div class="row">
			    						<div class="col-xs-6">Updates are available.</div>
			    						<div class="col-xs-6">
			    							<button class="btn btn-default">  
					    					   	<xsl:attribute name="onclick">parent.location='update?ids=<xsl:for-each select="row[HASUPDATE='true' or HASSECURITY='true']"><xsl:value-of select="VERSIONID"/>,</xsl:for-each>'</xsl:attribute>
					    					   Select All Updates
					    					   </button>
			    						</div>
			    					</div>
						    	</div>
			    			</xsl:if>
			    	<div style="padding: 5px;">
			    		<input class="btn btn-default" type="button" value="Packages" onclick="javascript:reveal('packages-box');" title="Toggle Packages View"/>
			    		<input class="btn btn-default" type="button" value="History" onclick="javascript:reveal('history');" title="Toggle Transaction History View"/>
			    	</div>
    			</div>
    		</div>
    	</div>
    	
		<xrl:include>
			<xrl:identifier>active:groovy</xrl:identifier>
			<xrl:argument name="operator">res:/app/apposite/main/selectionBox.gy</xrl:argument>
		</xrl:include>
		
		<div>
			<div id="ajaxErr" class="error" style="display:none; padding:5px; margin: 5px;">_</div>
			<div class="ajaxbox panel panel-default" id="ajaxStatus" style="display:none; padding: 5px;">
				<div class="panel-heading">
					<div class="panel-title">Update Status</div>
				</div>
				<div id="status" status="${state}" style="margin-left: 20px;">
					<p>
					Update in progress.  Please wait a moment for status updates...
					</p>
				</div>
			<div/>
		</div>
	
	<div id="packages-box" class="mainbox">
		<div class="panel panel-default">
	    	<div class="panel-heading">
	    		<div class="panel-title"><span class="icon-filter"> </span> Package Filter</div>
	    	</div>
	    	<form id="filterform" action="" method="POST">
	    		<table width="100%">
	    		<tr>
		    	<td>
		    		Show:
		    		<input type="checkbox" name="showInstalled" value="true" onclick="submitFilter()">
		    			<xsl:if test="$filter/filter/showInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
		    		</input> Installed,
		    		 <input type="checkbox" name="showNotInstalled" value="true" onclick="submitFilter()">
		    			<xsl:if test="$filter/filter/showNotInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
		    		</input> Not Installed
		    	</td>
		    	<td>
	    		<div>
	    		Repository: 
	    			<span id="selectRepo">
	    				<select name="repo"><option/></select>
	    			</span>
	    		Set:
	    			<span id="selectSet">
	    				<select name="set"><option/></select>
	    			</span>
	    			</div>
	    		</td>
		    	<td>
	    		Name Matches: <input type="text" name="match" >
	    			<xsl:if test="not($filter/filter/match='no-match')">
	    				<xsl:attribute name="value"><xsl:value-of select="$filter/filter/match"/></xsl:attribute>
	    			</xsl:if>
	    		</input>
	    		<input class="btn btn-xs btn-default" type="submit" value="Apply Filters"/>
	    		</td>
	    		</tr>
	    		<tr>
	    			<td colspan="3"><input class="btn btn-xs btn-warning" type="submit" value="reset" name="filter-reset"/></td>
	    		</tr>
	    		</table>
	    	</form>
  			</div>
    		
    <form action="pick" method="post">
    <div class="panel panel-default">
	
    <div class="panel-heading">
    	<div class="panel-title"><span class="icon-suitcase"> </span> Packages
    	<div class="form form-group" style="float:right;">
    		<input class="btn btn-primary" type="submit" value="Select Picks"/>
    	</div>
    	</div>
    </div>
    
    <table width="100%" id="packages" cellpadding="2" cellspacing="0">
    	<thead>
    		<tr>
    	<th></th>
    	<th></th>
    	<th>Installed</th>
    	<th>Name</th>
    	<th>Runlevel</th>
    	<th>Version</th>
    	<th>Install</th>
    	<th>Update</th>
    	<th>Remove</th>
    	</tr>
    	</thead>
    	<tbody>
    		<xsl:apply-templates/>
    		<!--
    		<tr class="vis-title">
		    	<td colspan="6"/>
		    	<td colspan="3" align="center">
		    	 	<input type="submit" value="Select Picks"/>
		    	</td>
		    </tr>
		    -->
    	</tbody>
    	
    </table>
    
    </div>
    </form>
    <script language="javascript" type="text/javascript">
    changeRepo(<xsl:value-of select="$filter/filter/repo"/>);
    </script>
    <script language="javascript" type="text/javascript">
    setTimeout("changeSet(<xsl:value-of select="$filter/filter/set"/>)", 500);
    </script>
    </div>
    </div>
    </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<xsl:variable name="vid" select="VERSIONID"/>
  	<xsl:if test=" not ( $selections/selections/selection[id = $vid] )">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="HASUPDATE='true' ">
  				<xsl:attribute name="class">update el</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="HASSECURITY='true' ">
  				<xsl:attribute name="class">security el</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow el</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow el</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<input class="btn btn-xs btn-default" type="button" value="details" onclick="document.location='package/{ID}'" />
  		</td>
  		<td>
  			<xsl:if test="RUNLEVEL&lt;=1">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		
  		<td align="center">
  			<input type="checkbox" value="{ID}" disabled="">
  			<xsl:if test="INSTALLED='true'">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  			<xsl:value-of select="NAME"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="RUNLEVEL"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="VP"/>
  		</td>
  		<td style="background-color: #9999CC; width: 30px;" class="transparent" align="center">
 			<xsl:if test="INSTALLED='false' and RUNLEVEL&gt;2">
 				<input name="mark-install"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},install"  title="Install"/>
 			</xsl:if>
  		</td>
  		<td style="background-color:#99CC99; width: 30px;" class="transparent" align="center">
 			<xsl:if test="HASUPDATE='true' or HASSECURITY='true'">
 				<input name="mark-update"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},update" title="Update"/>
 			</xsl:if>
 		</td>
  		<td style="background-color:#CC9999; width: 30px;" class="transparent" align="center" >
 			<xsl:if test="INSTALLED='true' and RUNLEVEL&gt;2">
 				<input name="mark-remove"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},remove"  title="Remove"/>
 			</xsl:if>
  		</td>
  	</tr>
  	</xsl:if>
  </xsl:template>

</xsl:stylesheet> 
