<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter" nk:class="java.lang.String"/>


  <xsl:template match="/selections">
    <div class="panel panel-default" style="width: 100%; padding: 5px;">
    	<div class="panel-heading">
    		<div class="panel-title"><span class="icon-list"> </span> Selections</div>
    	</div>
    <xsl:choose>
    	<xsl:when test="selection">
    		<table class="table" cellpadding="2" cellspacing="0" width="350px">
    			<tbody>
    			<tr class="vis-title">
    				<td> </td>
    				<td>Action</td>
    				<td width="100%">Package</td>
    			</tr>
    			<xsl:apply-templates select="selection"/>
    			<xsl:if test="selection">
    			<tr class="vis-title">
    				
    				<td colspan="2">
    				</td>
    				<td  align="right"><input class="btn btn-warning" type="button" value="drop all" onclick="parent.location='dropAllPicks'"/></td>
    				
    			</tr>
    			</xsl:if>
    			</tbody>
    		</table>
    		<div>
    			<xsl:choose>
    				<xsl:when test="//row">
		    			<p style="font-weight: bold;">
		    			There are unresolved dependencies.  
		    			</p>
		    		</xsl:when>
		    		<xsl:otherwise>
		    			<p>
		    			<input class="btn btn-primary" type="button" value="Apply Selections" onclick="apply()" id="apply-button" />
		    			</p>
		    		</xsl:otherwise>
    			</xsl:choose>
    		</div>
    	</xsl:when>
    	<xsl:otherwise>
    		<div>
    		<p>
    		<b>No selections have been made yet.</b>
    		</p>
    		<ol>
    			<li>In the packages table, mark the items you'd like to install, update or remove</li>
    			<li>Confirm your choices by clicking "Select Picks".</li>
    			<li>In this "Selection" box verify your changes and if necessary reconcile any missing dependencies.  You can remove items you don't want or continue to add more items from the Packages table (steps 1,2)</li>
    			<li>When you're happy with your choices,  update your system with "Apply Selections"</li>
    		</ol>
    		</div>
    	</xsl:otherwise>
    </xsl:choose>
    </div>
</xsl:template>
  
  <xsl:template match="selection">
  	<tr class="transparent">
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<input type="button" value="drop" onclick="document.location='deselect?id={id}'" class="btn btn-xs btn-default"/>
  		</td>
  		<td align="center">
  			<xsl:choose>
  				<xsl:when test="type='install'"><xsl:attribute name="style">background-color: #9999CC;</xsl:attribute></xsl:when>
  				<xsl:when test="type='update'"><xsl:attribute name="style">background-color: #99CC99;</xsl:attribute></xsl:when>
  				<xsl:when test="type='remove'"><xsl:attribute name="style">background-color: #CC9999;</xsl:attribute></xsl:when>
  			</xsl:choose>
  			<xsl:value-of select="type"/>
  		</td>
  		<td>
  			<div>
  			<span> <xsl:value-of select="dependencies/NAME"/> - <xsl:value-of select="dependencies/VP"/></span>	
  				<table cellspacing="0" cellpadding="2" width="100%">
  				<tbody>
  				<xsl:for-each select="dependencies//row">
  					<xsl:variable name="name" select="name(../.)"/>
  					<xsl:choose>
	  					<xsl:when test="$name='depends'  or  $name='suggests'  or $name='recommends'  ">
		  					<tr class="update"> 
		  						<td><xsl:value-of select="$name"/></td>
		  						<td><xsl:value-of select="NAME"/> - <xsl:value-of select="VERSION"/></td>
		  						<td><a class="btn btn-xs btn-default" href="/tools/apposite/install?id={VID}">install</a></td>
		  					</tr>
		  				</xsl:when>
	  					<xsl:otherwise>
	  						<tr class="security">
		  						<td><xsl:value-of select="$name"/></td>
		  						<td><xsl:value-of select="NAME"/> - <xsl:value-of select="VERSION"/></td>
		  						<td><a class="btn btn-xs btn-default" href="/tools/apposite/remove?id={VID}">remove</a></td>
		  					</tr>
	  					</xsl:otherwise>
	  				</xsl:choose>
  				</xsl:for-each>
  				</tbody>
  				</table>
  				</div>
  		</td>
  	</tr>
  </xsl:template>

</xsl:stylesheet> 
