SELECT
	TRANS.ID,
	FORMATDATETIME(TRANS.EVENTTIME, 'yyyy-MM-dd HH:mm:ss') as EVENTTIME,
	PACKAGES.NAME,
	PACKAGE_VERSIONS.VERSION[0] || '.' || PACKAGE_VERSIONS.VERSION[1] || '.' || PACKAGE_VERSIONS.VERSION[2] AS VERSION,
	PACKAGE_TRANSACTION_EVENTS.TYPE,
	PACKAGE_TRANSACTION_EVENTS.PACKAGEVID
	FROM
	(
		SELECT
		*
		FROM
		PACKAGE_TRANSACTIONS
		ORDER BY PACKAGE_TRANSACTIONS.ID DESC
		LIMIT 10
	) AS TRANS
	LEFT JOIN
	PACKAGE_TRANSACTION_EVENTS
	ON(TRANS.ID=PACKAGE_TRANSACTION_EVENTS.TRANSACTIONID),
	PACKAGE_VERSIONS,
	PACKAGES
	WHERE
	PACKAGE_TRANSACTION_EVENTS.PACKAGEVID=PACKAGE_VERSIONS.ID
	AND
	PACKAGE_VERSIONS.PACKAGEID=PACKAGES.ID
	
	LIMIT 512
;