<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="modules"/>
	
  <xsl:template match="/selections">
  <batch>
  	<sql>SET AUTOCOMMIT OFF;</sql>
  	<sql>BEGIN;</sql>
  	<sql>INSERT INTO PACKAGE_TRANSACTIONS VALUES (NULL, NOW());</sql>
  	<sql>SET @TRANSACTIONID=IDENTITY();</sql>
  	<xsl:apply-templates select="selection"/>
  	<sql>COMMIT;</sql>
  </batch>
  </xsl:template>

	<xsl:template match="selection">
		
			<xsl:choose>
				<xsl:when test="type='install'">
					<sql>
					UPDATE PACKAGE_VERSIONS SET INSTALLED=TRUE WHERE ID=<xsl:value-of select="id"/>
					;
					</sql>
					<sql>
					INSERT INTO PACKAGE_TRANSACTION_EVENTS VALUES
					(	NULL,
						@TRANSACTIONID,
						1,
						<xsl:value-of select="id"/>
					);
					</sql>
				</xsl:when>
				<xsl:otherwise>
					<sql>
					UPDATE PACKAGE_VERSIONS SET INSTALLED=FALSE WHERE ID=<xsl:value-of select="id"/>
					;
					</sql>
					<sql>
					INSERT INTO PACKAGE_TRANSACTION_EVENTS VALUES
					(	NULL,
						@TRANSACTIONID,
						2,
						<xsl:value-of select="id"/>
					);
					</sql>
					<sql>
					DELETE FROM MODULES WHERE PACKAGEVID=<xsl:value-of select="id"/>;
					</sql>
					<sql>
					DELETE FROM PACKAGES WHERE ID=
					(SELECT
						PACKAGES.ID
						FROM
						PACKAGES,
						PACKAGE_VERSIONS
						WHERE
						PACKAGES.ID=PACKAGE_VERSIONS.PACKAGEID
						AND
						PACKAGES.REPOCOLLECTIONSETID=1
						AND
						PACKAGE_VERSIONS.ID=<xsl:value-of select="id"/>
					)
					;
					</sql>
				</xsl:otherwise>
			</xsl:choose>
		<xsl:if test="type='install'">
			<xsl:variable name="id" select="id"/>
			<xsl:for-each select="$modules/modules/module[packagevid=$id]">
			<sql>
				MERGE INTO MODULES(
                PACKAGEVID,
				IDENTITY,
				VERSION,
				LOCALSRC,
				RUNLEVEL,
				EXPANDED
				)
				KEY (IDENTITY, VERSION)
				VALUES
				(
				<xsl:value-of select="$id"/>,
				'<xsl:value-of select="identity"/>',
				( <xsl:value-of select="v[1]"/>, <xsl:value-of select="v[2]"/>, <xsl:value-of select="v[3]"/>),
				'<xsl:value-of select="localsrc"/>',
				<xsl:value-of select="runlevel"/>,
				<xsl:value-of select="expanded"/>
				)
			;
		</sql>
			</xsl:for-each> 
		</xsl:if>
	</xsl:template>

</xsl:stylesheet> 
