/******************************************************************************
 * (c) Copyright 2007, 1060 Research Ltd
 *
 * This Software is licensed to You, the licensee, for use under the terms of
 * the 1060 Public License v1.0. Please read and agree to the 1060 Public
 * License v1.0 [www.1060research.com/license] before using or redistributing
 * this software.
 *
 * In summary the 1060 Public license has the following conditions.
 * A. You may use the Software free of charge provided you agree to the terms
 * laid out in the 1060 Public License v1.0
 * B. You are only permitted to use the Software with components or applications
 * that provide you with OSI Certified Open Source Code [www.opensource.org], or
 * for which licensing has been approved by 1060 Research Limited.
 * You may write your own software for execution by this Software provided any
 * distribution of your software with this Software complies with terms set out
 * in section 2 of the 1060 Public License v1.0
 * C. You may redistribute the Software provided you comply with the terms of
 * the 1060 Public License v1.0 and that no warranty is implied or given.
 * D. If you find you are unable to comply with this license you may seek to
 * obtain an alternative license from 1060 Research Limited by contacting
 * license@1060research.com or by visiting www.1060research.com
 *
 * NO WARRANTY:  THIS SOFTWARE IS NOT COVERED BY ANY WARRANTY. SEE 1060 PUBLIC
 * LICENSE V1.0 FOR DETAILS
 *
 * THIS COPYRIGHT NOTICE IS *NOT* THE 1060 PUBLIC LICENSE v1.0. PLEASE READ
 * THE DISTRIBUTED 1060_Public_License.txt OR www.1060research.com/license
 *
 * File:          $RCSfile: Unpacker.java,v $
 * Version:       $Name:  $ $Revision: 1.1 $
 * Last Modified: $Date: 2007/05/11 13:24:30 $
 *****************************************************************************/

package org.netkernel.packge.util;

import java.util.zip.*;
import java.io.*;
import java.net.*;

/**
 * Zip Packaging Utilities
 * @author  pjr
 */
public class Unpacker {
	
	/** Creates a new instance of Packer */
	public Unpacker() {
	}
	
	public File unzip(InputStream in, URI base) throws Exception
	{	ZipInputStream zin = new ZipInputStream(in);
		ZipEntry e;
		File basef=new File(base);
		basef.mkdirs();
		while((e=zin.getNextEntry())!= null)
		{	URI euri=URI.create(encodeURI(e.getName()));
			File f=new File(base.resolve(euri));
			if(e.isDirectory())
			{	f.mkdirs();				
			}
			else
			{	f.getParentFile().mkdirs();
				f.createNewFile();
				unzip(zin, f);
			}
		}
		zin.close();
		return basef;
	}
    
	public void unzip(ZipInputStream zin, File f) throws Exception
	{	FileOutputStream out = new FileOutputStream(f);
		byte [] b = new byte[512];
		int len = 0;
		while ( (len=zin.read(b))!= -1 )
		{	out.write(b,0,len);
		}
		out.close();
	}
	
	public static String encodeURI(String argString) {
        StringBuilder uri = new StringBuilder();
 
        char[] chars = argString.toCharArray();
        for(int i = 0; i<chars.length; i++) {
            char c = chars[i];
            if((c >= '0' && c <= '9') || (c >= 'a' && c <= 'z') || (c >= 'A' && c <= 'Z')) {
                uri.append(c);
            }
            else {
                uri.append("%");
                uri.append(Integer.toHexString((int)c));
            }
        }
        return uri.toString();
    }
	
	/*
	public static void main(String[] argv)
	{	try
		{
			File f=new File("/home/pjr/Desktop/test.zip");
			FileInputStream fin=new FileInputStream(f);
			Unpacker u=new Unpacker();
			u.unzip(fin, URI.create("file:/home/pjr/Desktop/test-expand/"));
		}
		catch(Exception e)
		{	e.printStackTrace();			
		}
	}
	*/
}